# Start direct link payin processing Start direct link payin processing for the given ID and after this transaction will start processing. Endpoint: POST /public/payin/{payinId}/process/direct-link Version: 2.0.0 Security: bearerAuth ## Path parameters: - `payinId` (string, required) Payin ID. Returned by createPayIn method Example: "944732c4608c441aa91379478b91f76e" ## Request fields (application/json): - `browser` (object, required) - `browser.acceptHeader` (string) - `browser.userAgent` (string) - `browser.language` (string) - `browser.timeZoneOffset` (integer) - `browser.timeZone` (string) - `browser.colorDepth` (integer) - `browser.screenHeight` (integer) - `browser.screenWidth` (integer) - `browser.windowHeight` (integer) - `browser.windowWidth` (integer) - `browser.javaEnabled` (boolean) - `browser.javascriptEnabled` (boolean) - `browser.customerIp` (string) - `additionalData` (object, required) ## Response 200 fields (application/json): - `paymentId` (string, required) - `status` (string, required) Enum: "CREATED", "PENDING", "PENDING_3DS", "SUCCESS", "REFUNDED", "PARTIALLY_REFUNDED", "DECLINED", "FAILED", "TIMEOUT", "REFUND_FAILED", "REFUND_PENDING" - `redirectUrl` (string) ## Response 400 fields (application/json): - `errorKey` (string) - `errorMessage` (string) - `errorCode` (integer) ## Response 401 fields (application/json): - `errorKey` (string) - `errorMessage` (string) - `errorCode` (integer) ## Response 403 fields (application/json): - `errorKey` (string) - `errorMessage` (string) - `errorCode` (integer) ## Response 404 fields (application/json): - `errorKey` (string) - `errorMessage` (string) - `errorCode` (integer) ## Response 409 fields (application/json): - `errorKey` (string) - `errorMessage` (string) - `errorCode` (integer) ## Response 500 fields (application/json): - `errorKey` (string) - `errorMessage` (string) - `errorCode` (integer)